/* 
 * DB Export Script - Ensure CLI File (ensure-cli.js)
 * Copyright (C) 2013 Gideon Messer - CC-BY-3.0
 * This file is licensed under Creative Commons Attribution 3.0 Unported
 * http://creativecommons.org/licenses/by/3.0/
 * Other included code attributed as marked.
 */

// The following function is based on code from https://gist.github.com/sstur/4482361.
function EnsureCLI(ws) {
	if (ws.FullName.slice(-12).toLowerCase() != '\\cscript.exe') {
		var cmd = 'cscript.exe //nologo "' + ws.ScriptFullName + '" //job:ExportHandler';
		
		var eArgs = new Enumerator(ws.Arguments);
		for (eArgs.moveFirst(); eArgs.moveNext(); !eArgs.atEnd()) {
			var arg = eArgs.item();
			cmd += ' ' + (~arg.indexOf(' ') ? '"' + arg + '"' : arg);
		}
		
		new ActiveXObject('WScript.Shell').run(cmd);
		ws.Quit();
	}
}

